
Core - Feature # 51473

Epic # 47018 (Resolved): Implement Composer support and clean package manager API

Status: Resolved Priority: Could have
Author: Kay Strobach Category: Extension Manager
Created: 2013-08-28 Assigned To: Thomas Maroschik
Updated: 2014-02-21 Due date:
PHP Version: 5.4
Complexity:
Sprint Focus:
Subject: Make it possible, that extensions use composer to load libraries just once for the whole TYPO3
Description

Make it possible, that extensions use composer to load libraries just once for the whole TYPO3

 1. download ext from ter / upload from filesystem
 2. use composer to load all needed libraries etc. to typo3conf/lib/
 3. if all worked install ext
 4. be happy to have smaller extensions in TER

Having this it's easier to combine opensource licenses, as the lib may not be shipped with an ext.

History
#1 - 2013-08-29 13:14 - Philipp Gampe
- Status changed from New to Needs Feedback
- Target version deleted (6.2.0)

IMHO this duplicates the mentioned #47018.

#2 - 2013-10-13 14:56 - Helmut Hummel
- Status changed from Needs Feedback to Resolved

#47018 is now merged

#3 - 2014-02-12 10:02 - Ernesto Baschny
- Parent task set to #47018

#4 - 2014-02-12 10:02 - Ernesto Baschny
- % Done changed from 0 to 100

#5 - 2014-02-20 16:27 - Thomas Maroschik
- Assigned To set to Thomas Maroschik

2015-08-04 1/1


